package com.madeu.service.web.webevent;

import org.springframework.web.multipart.MultipartFile;

import java.util.HashMap;

public interface WebEventService {
    public HashMap<String, Object> selectListWebEventIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListWebEvent(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectWebEvent(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> uploadFile(HashMap<String, Object> paramMap, MultipartFile file) throws Exception;
    public HashMap<String, Object> insertWebEventIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> insertWebEvent(HashMap<String, Object> paramMap, MultipartFile file) throws Exception;
    public HashMap<String, Object> updateWebEventIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> updateWebEvent(HashMap<String, Object> paramMap, MultipartFile file) throws Exception;
    public HashMap<String, Object> deleteWebEvent(HashMap<String, Object> paramMap) throws Exception;
}
